// 013 u_test_u_c_file_name
// 03 jan 2002

// -- (C) John COLIBRI 2006
// -- documentation: http://www.jcolibri.com

(*$r+*)

unit u_test_u_c_file_name;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    Button2: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation
  uses u_c_display
     , u_c_file_name
     ;

    {$R *.DFM}

  
    const k_log_path= 'log\';
          k_log_name= 'log_u_c_file_name.txt';

    procedure TForm1.FormCreate(Sender: TObject);
      begin
        initialize_display(Memo1.Lines);
        initialize_display_log(k_log_path+ k_log_name);
      end; // FormCreate

    procedure TForm1.Button1Click(Sender: TObject);
      begin
        with c_file_name.create_file_name('file_name', 'd', '\programs\', 'u_c_file_name', 'pas') do
        begin
          display(m_complete_name);
          Free;
        end; // with c_basic_object
      end;

    procedure TForm1.Button2Click(Sender: TObject);
      begin
        with f_c_complete_file_name('complete', 'd:\programs\u_c_file_name.pas') do
        begin
          display_name_parts;
          display('f_drive_and_path '+ f_drive_and_path);
        end;
      end;

end.
.
